public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-print/cnijfilter2/, net-print/cnijfilter2/files/
Date: Sat, 27 Jan 2018 18:02:31 +0000 (UTC)	[thread overview]
Message-ID: <1517076138.e92fc00d950f5c8404218562fd6d60028427278a.tupone@gentoo> (raw)

commit:     e92fc00d950f5c8404218562fd6d60028427278a
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 27 18:02:18 2018 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sat Jan 27 18:02:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e92fc00d

net-print/cnijfilter2: Bump to 5.40. Bug #645854

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-print/cnijfilter2/Manifest                     |  1 +
 net-print/cnijfilter2/cnijfilter2-5.40.ebuild      | 64 ++++++++++++++++++++++
 .../files/cnijfilter2-5.20-gentoo.patch            | 20 +++----
 3 files changed, 75 insertions(+), 10 deletions(-)

diff --git a/net-print/cnijfilter2/Manifest b/net-print/cnijfilter2/Manifest
index 1278bd3f5f0..5bfb823fd70 100644
--- a/net-print/cnijfilter2/Manifest
+++ b/net-print/cnijfilter2/Manifest
@@ -1 +1,2 @@
 DIST cnijfilter2-source-5.20-1.tar.gz 466507 BLAKE2B 1ca96153350a157f56dfed691a04dcbe1e3ab5462b59c0cd919316a7c54a36bbeb34cf4205132f0aa3e5a23f89eb260c35c1a3ee14ea85bc36b9e3b67cd7e3f7 SHA512 60be49d34adf9a4d2cd8337cccb36eb8c078e9712bf8043c3552f1d83c3da307badfe34fc3683c99e3234da30f4ba82e0c4a0b48ea5f78f0d66db1408bd7d495
+DIST cnijfilter2-source-5.40-1.tar.gz 817298 BLAKE2B 1088eb19c70ed9133c38b8a6da9fbc26c42d6f077fda01678fb4485c2db21a17567fab8ab5c9565ece7ea13e5fac3f7c5842e984116d6c595e7a1f19092d3461 SHA512 bb4ce18864037fae9735fcb1b2c3198fe39f8abe0caa754e457e3cb0d03767742d82ff4fddf81451215395b23eea8207a880e238558e0ea2ac5c359186ecd859

diff --git a/net-print/cnijfilter2/cnijfilter2-5.40.ebuild b/net-print/cnijfilter2/cnijfilter2-5.40.ebuild
new file mode 100644
index 00000000000..038cbf38f1b
--- /dev/null
+++ b/net-print/cnijfilter2/cnijfilter2-5.40.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+MY_P="${PN}-source-${PV}-1"
+
+DESCRIPTION="IJ Printer Driver"
+HOMEPAGE="https://www.canon.it/"
+SRC_URI="http://gdlp01.c-wss.com/gds/3/0100008393/01/${MY_P}.tar.gz"
+
+LICENSE="Canon-IJ"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="virtual/libusb:1
+	dev-libs/libxml2
+	net-print/cups"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${MY_P}
+
+PATCHES=( "${FILESDIR}"/${PN}-5.20-gentoo.patch )
+
+src_prepare() {
+	default
+	DIRS="cmdtocanonij2 cnijbe2 lgmon3 rastertocanonij tocanonij tocnpwg"
+	LIBDIR=com/libs_bin$(usex amd64 64 32)
+	for d in ${DIRS}; do
+		mv "${d}"/configure.{in,ac} || die
+	done
+	echo "AC_INIT([${PN}], [${PV}])" >> configure.ac
+	echo "AM_INIT_AUTOMAKE" >> configure.ac
+	echo "AC_CONFIG_SUBDIRS([${DIRS}])" >> configure.ac
+	echo "AC_CONFIG_FILES([Makefile])" >> configure.ac
+	echo "AC_OUTPUT()" >> configure.ac
+	echo "SUBDIRS= ${DIRS}" >> Makefile.am
+	sed -i \
+		-e "/^CFLAGS/d" \
+		*/configure.ac || die
+	eautoreconf
+	cd ${LIBDIR}
+	rm libcn*.so || die
+	ln -sf libcnbpcnclapicom2.so.5.0.0 libcnbpcnclapicom2.so || die
+	ln -sf libcnbpnet20.so.1.0.0 libcnbpnet20.so || die
+	ln -sf libcnbpnet30.so.1.0.0 libcnbpnet30.so || die
+	ln -sf libcnnet2.so.1.2.4 libcnnet2.so || die
+
+	cd -
+}
+
+src_configure() {
+	LDFLAGS="-L"${S}"/${LIBDIR}" econf --enable-progpath="${EPREFIX}/usr/bin"
+}
+
+src_install() {
+	default
+	insinto /usr/share/ppd/cupsfilters
+	doins ppd/*ppd
+	dolib.so ${LIBDIR}/*
+}

diff --git a/net-print/cnijfilter2/files/cnijfilter2-5.20-gentoo.patch b/net-print/cnijfilter2/files/cnijfilter2-5.20-gentoo.patch
index 80c7361cb1a..be941790b99 100644
--- a/net-print/cnijfilter2/files/cnijfilter2-5.20-gentoo.patch
+++ b/net-print/cnijfilter2/files/cnijfilter2-5.20-gentoo.patch
@@ -1,13 +1,13 @@
---- cnijfilter2-source-5.20-1/cmdtocanonij2/filter/Makefile.am.old	2018-01-14 18:14:20.645473030 +0100
-+++ cnijfilter2-source-5.20-1/cmdtocanonij2/filter/Makefile.am	2018-01-14 18:14:36.078219959 +0100
+--- a/cmdtocanonij2/filter/Makefile.am.old	2018-01-14 18:14:20.645473030 +0100
++++ b/cmdtocanonij2/filter/Makefile.am	2018-01-14 18:14:36.078219959 +0100
 @@ -1,4 +1,4 @@
 -filterdir=$(libdir)/cups/filter
 +filterdir=$(libexecdir)/cups/filter
  
  filter_PROGRAMS= cmdtocanonij2
  
---- cnijfilter2-source-5.20-1/cnijbe2/src/Makefile.am.old	2018-01-14 19:25:48.823470121 +0100
-+++ cnijfilter2-source-5.20-1/cnijbe2/src/Makefile.am	2018-01-14 19:25:59.316275741 +0100
+--- a/cnijbe2/src/Makefile.am.old	2018-01-14 19:25:48.823470121 +0100
++++ b/cnijbe2/src/Makefile.am	2018-01-14 19:25:59.316275741 +0100
 @@ -1,6 +1,6 @@
  ## Process this file with automake to produce Makefile.in
  
@@ -16,16 +16,16 @@
  backend_bin_PROGRAMS = cnijbe2
  transform = 
  
---- cnijfilter2-source-5.20-1/rastertocanonij/src/Makefile.am.old	2018-01-14 21:31:33.053307218 +0100
-+++ cnijfilter2-source-5.20-1/rastertocanonij/src/Makefile.am	2018-01-14 21:31:41.106166479 +0100
+--- a/rastertocanonij/src/Makefile.am.old	2018-01-14 21:31:33.053307218 +0100
++++ b/rastertocanonij/src/Makefile.am	2018-01-14 21:31:41.106166479 +0100
 @@ -1,4 +1,4 @@
 -filterdir=$(libdir)/cups/filter
 +filterdir=$(libexecdir)/cups/filter
  
  filter_PROGRAMS= rastertocanonij
  
---- cnijfilter2-source-5.20-1/tocanonij/src/Makefile.am.old	2018-01-15 22:38:14.236460663 +0100
-+++ cnijfilter2-source-5.20-1/tocanonij/src/Makefile.am	2018-01-15 22:38:39.184018933 +0100
+--- a/tocanonij/src/Makefile.am.old	2018-01-15 22:38:14.236460663 +0100
++++ b/tocanonij/src/Makefile.am	2018-01-15 22:38:39.184018933 +0100
 @@ -1,7 +1,8 @@
  INCLUDES = \
  	-I$(top_srcdir)/include/cncl
@@ -36,8 +36,8 @@
  
  tocanonij_SOURCES= \
  	main.c
---- cnijfilter2-source-5.20-1/tocnpwg/src/Makefile.am.old	2018-01-15 22:42:43.759703863 +0100
-+++ cnijfilter2-source-5.20-1/tocnpwg/src/Makefile.am	2018-01-15 22:43:10.442232986 +0100
+--- a/tocnpwg/src/Makefile.am.old	2018-01-15 22:42:43.759703863 +0100
++++ b/tocnpwg/src/Makefile.am	2018-01-15 22:43:10.442232986 +0100
 @@ -2,7 +2,8 @@
  INCLUDES = \
  	@XML_2_CFLAGS@


             reply	other threads:[~2018-01-27 18:02 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-01-27 18:02 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-06-27 15:03 [gentoo-commits] repo/gentoo:master commit in: net-print/cnijfilter2/, net-print/cnijfilter2/files/ Alfredo Tupone
2020-05-16 17:35 Alfredo Tupone
2020-05-13 21:29 Alfredo Tupone
2019-08-27  6:42 Alfredo Tupone
2018-01-23 20:06 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1517076138.e92fc00d950f5c8404218562fd6d60028427278a.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox